.blog {
    position: relative;
    padding-top: 167px;

    h2 {
        font-size: 64px;
        line-height: 77px;
        font-family: $Aileron-700;
        letter-spacing: -0.03em;
        color: $black-100;

        @include media-breakpoint-down(sm) {
            font-size: 48px;
            line-height: 56px;
        }
    }

    .container {
        position: relative;
    }

    &-tag {
        color: $orange;
        opacity: 1;
        margin-bottom: 16px;
        font-weight: 600;
        font-family: $Aileron-600;
    }

    &-profile {
        display: flex;
        align-items: center;

        @include media-breakpoint-down(md) {
            flex-flow: row wrap;
            align-items: flex-start;
            position: relative;
        }

        &-img {
            width: 40px;
            height: 40px;
            overflow: hidden;
            border-radius: 50%;
            flex-shrink: 0;
            margin-right: 12px;
            
            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }

        h6 {
            color: $black-100;
            opacity: 1;
            font-family: $Aileron-600;
            font-size: 16px;
            line-height: 25px;

            @include media-breakpoint-down(md) {
                margin-bottom: 10px;
                flex: 1;
            }
        }

        p {
            margin-left: 40px;

            @include media-breakpoint-down(md) {
                position: absolute;
                bottom: -5px;
                left: 50px;
                margin-left: 0;
            }
        }
    }

    &-nav {
        // position: relative;
        margin-top: 32px;
        display: flex;
        justify-content: space-between;
        z-index: 1;

        .row {
            width: 100%;
            justify-content: space-between;
        }

        &-keywords {
            display: flex;
            flex-wrap: wrap;
            align-items: flex-start;

            @include media-breakpoint-down(sm) {
                flex-wrap: nowrap;
                overflow-x: scroll;
                width: 110%;
                padding-right: calc(10% + 20px);
            }

            &-item {
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 15px 24px;
                border: 2px solid #DFDEDB;
                margin-right: 20px;
                cursor: pointer;
                margin-bottom: 18px;

                @include media-breakpoint-down(sm) {
                    padding: 10px 16px;
                    margin-right: 16px;
                }

                &.active {
                    background-color: $black-100;
                    border-color: $black-100;

                    span {
                        color: $white;
                        opacity: 1;
                    }

                    img {
                        filter: invert(0);
                        opacity: 1;
                    }
                }

                &:last-child {
                    margin-right: 0;
                }

                span {
                    margin-right: 20px;
                    font-family: $Aileron-400;
                    font-weight: 400;
                    font-size: 24px;
                    line-height: 36px;
                    color: $black-100;
                    opacity: 0.3;
                    letter-spacing: -0.03em;

                    @include media-breakpoint-down(sm) {
                        font-size: 16px;
                        line-height: 24px;
                    }
                }

                img {
                    height: 18px;
                    width: auto;
                    filter: invert(1);
                    opacity: .3;

                    @include media-breakpoint-down(sm) {
                        height: 12px;
                    }
                }
            }
        }
    }

    &-search {
        width: 100%;
        padding: 20px;
        display: flex;
        align-items: center;
        position: relative;
        border: 2px solid #DFDEDB;
        margin-bottom: 0;

        @include media-breakpoint-down(md) {
            display: none;
            border: none;
            padding: 16px 0px;
        }
        
        &.mobile {
            display: none;
            
            @include media-breakpoint-down(md) {
                // justify-content: flex-end;
                position: absolute;
                top: 10px;
                right: 20px;                
                display: flex;
                width: 50%;
            }

            @include media-breakpoint-down(sm) {
                top: 0;
            }
        }

        input {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background: transparent;
            border: none;
            padding: 20px 20px 20px 68px;
            font-size: 24px;
            line-height: 30px;
            color: $black-100;
            font-family: $Poppins-300, sans-serif;
            font-weight: 300;

            @include media-breakpoint-down(md) {
                padding: 16px 0px;
    
                &:focus {
                    padding-left: 40px;

                    &::placeholder {
                        color: $black;
                    }
                }

                &.hidden {
                    font-size: 0px;
                    line-height: 0px;
                }
            }

            &::placeholder {
                color: $black-100;

                @include media-breakpoint-down(md) {
                    color: transparent;
                }
            }
        }

        img {
            width: 32px;
            height: auto;

            @include media-breakpoint-down(md) {
                margin-left: calc(100% - 32px);
                transition: .4s;

                &.left {
                    margin-left: 0;
                }
            }
        }
    }

    &-bcg {
        position: absolute;
        top: 35%;
        left: 0;

        &.second {
            left: auto;
            right: 0;
            top: 25%;
            transform: rotate(180deg);
        }
    }

    &-articles {
        padding-top: 30px;

        @include media-breakpoint-down(sm) {
            padding-left: 0;
            padding-right: 0;
            padding-top: 16px;    
        }

        &-item {
            position: relative;
            z-index: 1;
            margin-bottom: 60px;
            width: 100%;
            background-color: $white;
            padding: 36px;
            border: 2px solid rgba(0, 0, 0, 0.2);
            display: flex;
            align-items: stretch;

            @include media-breakpoint-down(md) {
                padding: 20px;
            }

            @include media-breakpoint-down(sm) {
                border: none;
                flex-direction: column;
                margin-bottom: 32px;
            }

            &-img {
                width: 285px;
                height: 287px;
                position: relative;
                flex-shrink: 0;
                margin-right: 20px;

                @include media-breakpoint-down(sm) {
                    width: 100%;
                    height: auto;
                    margin-right: 0;
                    margin-bottom: 24px;
                }

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;

                    @include media-breakpoint-down(sm) {
                        height: auto;
                        object-fit: initial;
                    }
                }
            }

            &-content {
                display: flex;
                flex-direction: column;

                h3 {
                    font-size: 36px;
                    line-height: 43px;
                    color: $black-100;
                    font-family: $Aileron-700;
                    font-weight: 700;
                    margin-bottom: 8px;

                    @include media-breakpoint-down(md) {
                        font-size: 24px;
                        line-height: 28px;
                    }
                }

                p {
                    font-size: 16px;
                    line-height: 25px;
                    font-weight: 400;
                    font-family: $Aileron-400;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    -webkit-line-clamp: 3;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;                                        
                }

                &-nav {
                    display: flex;
                    align-items: center;
                    // position: relative;
                    margin-top: auto;

                    @include media-breakpoint-down(md) {
                        margin-top: auto;
                    }

                    @include media-breakpoint-down(sm) {
                        margin-top: 16px;
                        margin-bottom: 75px;
                    }
                    
                    p {
                        font-weight: 600;
                        font-family: $Aileron-600;
                    }
                
                    a {
                        margin-left: auto;
                        font-family: $Poppins-500;
                        font-weight: 500;
                        color: $black-100;
                        padding: 18px;

                        @include media-breakpoint-down(sm) {
                            position: absolute;
                            right: 0;
                            bottom: 0;
                            padding: 24px;
                        }
                        
                        img {
                            transition: .3s;
                            margin-left: 8px;
                        }

                        @include media-breakpoint-up(sm) {
                            &:hover {
                                img {
                                    margin-left: 12px;
                                }
                            }
                        }
                    }
                } 
            }
        }
    }

    &-pagination {
        margin-bottom: 120px;
        display: flex;
        align-items: center;

        @include media-breakpoint-down(xs) {
            display: none;
        }

        span {
            font-size: 24px;
            line-height: 38px;
            font-family: $Aileron-700;
            font-weight: 700;
            color: $black-100;
            padding-right: 20px;
        }

        a {
            padding: 18px 0px;
            
            span {
                font-family: $Poppins-500;
                font-weight: 500;    
            }
            
            &.prev, &.next {
                display: flex;
                align-items: center;
                padding: 18px 36px;

                span {
                    padding-right: 0;            
                }
                
                img {
                    width: 26px;
                    height: auto;
                    flex-shrink: 0;
                }
            }

            &.prev img {
                margin-right: 8px;
                transform: rotate(180deg);
            }

            &.next img {
                margin-left: 8px;
            }

            &.current span {
                color: $orange;
            }
        }
    }

    &-more {
        display: none;

        @include media-breakpoint-down(xs) {
            display: flex;
            margin-top: 48px;
            align-items: center;
            justify-content: center;
            border: 2px solid $black;
            color: $black;
            font-size: 16px;
            line-height: 25px;
            padding: 17px 0px;
            margin-bottom: 90px;

            &:hover, &:focus, &:active {
                color: $black;
            }
        }
    }
}